=== views/CMakeLists.txt ===
########### install files ###############

install(FILES
	docdigest.thtml
	identity.thtml
	kraftdoc_ro.thtml
	monthdigest.thtml
	systemviewdetails.thtml
	systemviewerror.thtml
	yeardigest.thtml
	DESTINATION ${DATA_INSTALL_DIR}/kraft/views)
