=== debian/changelog ===
kraft (1.0-1ubuntu3) mantic; urgency=medium

  * Build without akonadi.

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Aug 2023 10:41:43 +0100

kraft (1.0-1ubuntu2) mantic; urgency=medium

  * No-change rebuild against New KDE PIM..

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Aug 2023 08:14:10 +0100

kraft (1.0-1ubuntu1) mantic; urgency=medium

  * Add fixakonadi.patch to fix build with latest akonadi.
    Thanks to Klaas Freitag @ opensuse.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jun 2023 13:24:49 +0100

kraft (1.0-1build1) mantic; urgency=medium

  * No-change rebuild against new KDE PIM..

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jun 2023 12:58:56 +0100

kraft (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Update the build dependencies according to the upstream build system:
    - add libqt5svg5-dev
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Dec 2022 14:47:38 +0100
