=== debian/control ===
Source: kraft
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               pkg-kde-tools (>= 0.15.16),
               cmake,
               dh-python,
               extra-cmake-modules,
               gettext,
               qtbase5-dev,
               libqt5svg5-dev,
#               libkf5akonadi-dev,
#               libkf5akonadicontact-dev,
               libkf5config-dev,
               libkf5contacts-dev,
               libkf5i18n-dev,
               libctemplate-dev,
               libgrantlee5-dev,
               python3:any,
               asciidoctor,
               po4a,
               libqt5sql5-sqlite <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://volle-kraft-voraus.de/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kraft

Package: kraft
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5sql5-sqlite,
         ${python3:Depends},
         python3-reportlab,
         python3-six,
         python3-pypdf2,
Recommends: libqt5sql5-mysql,
            weasyprint,
Description: small business-management application
 Kraft creates and handles office documents in small enterprises. In a workshop
 or any similar company daily tasks can be done in a smart manner.
 .
 Features include:
  Customer management, integrated using KAddressbook
  Automated creation of quotes, invoices and similar documents
  Text templates
  Calculation
  Material management
  Configurable document creation in PDF format
