=== debian/changelog ===
kraft (1.1-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:38:18 +1100

kraft (1.1-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:16:35 +0000

kraft (1.1-1ubuntu2) noble; urgency=medium

  * Rebuild against latest ctemplate

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Mar 2024 19:42:28 -0500

kraft (1.1-1ubuntu1) noble; urgency=medium

  * Pass -DAKONADI_LEGACY_BUILD=OFF to cmake as Ubuntu has the latest
    akonadi release 23.08.2.

 -- Rik Mills <rikmills@kde.org>  Fri, 27 Oct 2023 12:43:33 +0100

kraft (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
  * Pass -DAKONADI_LEGACY_BUILD=ON to cmake to build with Akonadi older than
    23.04 (i.e. what currently available in Debian unstable).
  * Fix source build without git or a .git directory around:
    - do not try to get git branch information if there is no .git directory;
      patch cmake-fix-without-git.diff
    - create a ".tag" file for the cmake run, since apparently the build system
      assumes it is there (while it is not) in case .git is not present
  * Make the tests pass:
    - add the locales-all build dependency
    - run tests using the de_DE.utf8 locale
    - fix the expected date strings when no date format is configured; patch
      tests-dateformat.diff

 -- Pino Toscano <pino@debian.org>  Sun, 17 Sep 2023 06:01:17 +0200
