=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools (>= 0.15.16),
-               cmake,
+               cmake (>= 3.16.0~),
                dh-python,
                extra-cmake-modules,
                gettext,
                qtbase5-dev,
                libqt5svg5-dev,
-#               libkf5akonadi-dev,
-#               libkf5akonadicontact-dev,
+               libkf5akonadi-dev,
+               libkf5akonadicontact-dev,
                libkf5config-dev,
                libkf5contacts-dev,
                libkf5i18n-dev,
@@ -23,6 +23,7 @@
                asciidoctor,
                po4a,
                libqt5sql5-sqlite <!nocheck>,
+               locales-all <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.6.2
