=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5,python3

override_dh_auto_configure:
	# workaround lack of ".tag: top-level file assumed by the build system
	# in case no .git directory is present
	echo 'unavailable' > .tag
	dh_auto_configure -Skf5 -- -DAKONADI_LEGACY_BUILD=OFF
	rm .tag

override_dh_auto_test:
	xvfb-run -a env KRAFT_HOME="$(CURDIR)" LC_ALL=de_DE.utf8 dh_auto_test --no-parallel
