## kraft 1.2.1

=== debian/changelog ===
kraft (1.2.1-1ubuntu1) oracular; urgency=medium

  * Pass -DAKONADI_LEGACY_BUILD=OFF to cmake as Ubuntu has akonadi
    release 23.08.5.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 May 2024 19:47:53 +0100

kraft (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - cmake-fix-without-git.diff: refresh
  * Include /usr/share/dpkg/pkg-info.mk: this makes SOURCE_DATE_EPOCH exported
    during the build, and the upstream build system will not embed the hostname
    of the build host.
  * Drop the ".tag" file created for running cmake, as the upstream build system
    now gracefully handles its lack.
  * The tests now properly pass no matter which locale is set for the build
    host, so:
    - drop the tests-dateformat.diff patch
    - stop setting the de_DE.utf8 locale when running the tests
  * Drop the python3-six dependency, as the six Python module is no more used
    now. (Closes: #1067723)
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 06 May 2024 13:53:00 +0200
