=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                locales-all <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://volle-kraft-voraus.de/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git
@@ -39,7 +39,6 @@
          libqt5sql5-sqlite,
          ${python3:Depends},
          python3-reportlab,
-         python3-six,
          python3-pypdf2,
 Recommends: libqt5sql5-mysql,
             weasyprint,
