=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# make SOURCE_DATE_EPOCH available during the build, so the build host
# is not embedded into the binary
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with kf5,python3

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DAKONADI_LEGACY_BUILD=OFF

override_dh_auto_test:
	xvfb-run -a env KRAFT_HOME="$(CURDIR)" dh_auto_test --no-parallel
