## kraft 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
+cmake_minimum_required(VERSION 3.16.0)
 project(kraft)
-
-cmake_minimum_required(VERSION 3.16.0)
 cmake_policy(SET CMP0063 NEW)
 
 find_package(ECM REQUIRED NO_MODULE)
@@ -25,11 +24,15 @@
 # this will work if the tar balls have been properly created
 # via git-archive.
 if ("${GIT_SHA1}" STREQUAL "GITDIR-NOTFOUND")
-    file(READ ${CMAKE_SOURCE_DIR}/.tag sha1_candidate)
-    string(REPLACE "\n" "" sha1_candidate ${sha1_candidate})
-    if (NOT ${sha1_candidate} STREQUAL "$Format:%H$")
-        message("${sha1_candidate}")
-        set (GIT_SHA1 "${sha1_candidate}")
+    if (EXISTS "${CMAKE_SOURCE_DIR}/.tag")
+        file(READ ${CMAKE_SOURCE_DIR}/.tag sha1_candidate)
+        string(REPLACE "\n" "" sha1_candidate ${sha1_candidate})
+        if (NOT ${sha1_candidate} STREQUAL "$Format:%H$")
+            message("${sha1_candidate}")
+            set (GIT_SHA1 "${sha1_candidate}")
+        endif()
+    else()
+        set (GIT_SHA1 "unknown")
     endif()
 endif()
 
@@ -44,7 +47,11 @@
 )
 message("GIT_BRANCH: ${GIT_BRANCH}")
 
-cmake_host_system_information(RESULT BUILD_HOST_NAME QUERY HOSTNAME)
+if($ENV{SOURCE_DATE_EPOCH})
+    set(BUILD_HOST_NAME "reproduciblebuild")
+else ()
+    cmake_host_system_information(RESULT BUILD_HOST_NAME QUERY HOSTNAME)
+endif()
 if(${CMAKE_VERSION} VERSION_GREATER "3.22.0")
     cmake_host_system_information(RESULT BUILD_HOST_DISTRI QUERY DISTRIB_PRETTY_NAME)
 else ()
