=== database/CMakeLists.txt ===
add_subdirectory(mysql)
add_subdirectory(sqlite3)
add_subdirectory(meta)
