=== importfilter/CMakeLists.txt ===
########### install files ###############

install(FILES woerlein_txt.ftr standard_txt.ftr DESTINATION ${DATA_INSTALL_DIR}/kraft/importfilter/positions/)
