=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
-# include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} external)
 
 include_directories(${QT_INCLUDES} src)
 add_subdirectory(pics)
+
+configure_file(${CMAKE_CURRENT_LIST_DIR}/version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h @ONLY)
 
 ########### next target ###############
 qt5_add_resources(KRAFT_RC_SRC pics/kraft.qrc)
@@ -115,6 +116,7 @@
     documenttemplate.cpp
     pdfconverter.cpp
     format.cpp
+    stringutil.cpp
     epcqrcode.cpp
 
     3rdparty/qrcodegen.cpp
@@ -167,13 +169,14 @@
     ${CTEMPLATE_LIBRARIES} pthread
     Grantlee5::Templates
 )
-if(KF5Akonadi_FOUND)
+if(${AKO_PREFIX}Akonadi_FOUND)
   list(APPEND KRAFT_LINK_LIBS
-    KF5::AkonadiCore
-    KF5::AkonadiContact
-    KF5::AkonadiAgentBase
-    KF5::AkonadiWidgets
-    KF5::AkonadiXml
+    ${AKO_PREFIX}::AkonadiCore
+    ${AKO_PREFIX}::AkonadiContact
+    ${AKO_PREFIX}::ContactEditor
+    ${AKO_PREFIX}::AkonadiAgentBase
+    ${AKO_PREFIX}::AkonadiWidgets
+    ${AKO_PREFIX}::AkonadiXml
   )
 endif()
