=== src/pics/CMakeLists.txt ===

########### install files ###############

install(FILES kraftapp_logo.png DESTINATION ${DATA_INSTALL_DIR}/kraft/pics)

ecm_install_icons( ICONS sc-apps-kraft.svg DESTINATION ${KDE_INSTALL_ICONDIR})
