=== debian/changelog ===
kraft (1.2.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not build with akonadi. Required Qt5 version is being replaced
      with Qt6 in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2024 14:48:39 +0000

kraft (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 02 Oct 2024 06:52:55 +0200
