=== debian/control ===
--- 
+++ 
@@ -12,8 +12,6 @@
                gettext,
                qtbase5-dev,
                libqt5svg5-dev,
-               libkf5akonadi-dev,
-               libkf5akonadicontact-dev,
                libkf5config-dev,
                libkf5contacts-dev,
                libkf5i18n-dev,
