=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?([\d.]+)\.tar\.gz/kraft-$1\.tar\.gz/" \
  https://github.com/dragotin/kraft/tags .*/v?([\d.]+)\.tar\.gz
