## kraft 2.0.0~rc1

=== debian/changelog ===
kraft (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream development release:
    - switches to Qt5/KF5 (Closes: #1088983)
    - erml2pdf.py is no more shipped (Closes: #1083203)
    - watermarkpdf.py switches to pypdf (Related: #1029734)
  * Update watch file to handle also beta/rc versions, and skip tags without dot
    in them (hard to programmatically distinguish the version).
  * Update the patches:
    - tests-skip-t_defaultprovider.diff: refresh
    - cmake-fix-without-git.diff: refresh
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, libqt5svg5-dev, libkf5akonadi-dev,
      libkf5akonadicontact-dev, libkf5config-dev, libkf5contacts-dev,
      libkf5i18n-dev, libgrantlee5-dev, and libqt5sql5-sqlite
    - add qt6-base-dev, qt6-svg-dev, libkf6config-dev, libkf6contacts-dev,
      libkf6i18n-dev, libkf6texttemplate-dev, libakonadi-dev,
      libakonadicontact-dev, and libqt6sql6-sqlite
  * Update the other build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
    - drop libctemplate-dev, no more needed now
  * Switch the kf5 dh addon to kf6.
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically
    - add the dh-sequence-python3 build dependency to use the python3 addon
      automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Switch the dependencies/recommends libqt5sql5-sqlite, and libqt5sql5-mysql
    to libqt6sql6-sqlite, and libqt6sql6-mysql.
  * Drop the -DAKONADI_LEGACY_BUILD=ON cmake argument, as it is no more legacy
    API to use.
  * Tweak the add_test() CMake calls to ensure the test executables are found;
    patch tests-new-add_test.diff
    - adapt tests-skip-t_defaultprovider.diff to it
  * Switch the python3-pypdf2 dependency to python3-pypdf, as watermarkpdf.py
    now is ported to the latter. (Closes: #1029734)
  * Drop the python3-reportlab dependency: it was needed for erml2pdf.py, which
    is no more shipped now.
  * The rebuild ensures that existing packages are used; python3-pypdf2 was
    handled on its own, and mentioned above. (Closes: #1115424)
  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Switch Vcs-* fields to the 'experimental' packaging branch.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Dec 2025 00:59:46 +0100
