=== debian/control ===
Source: kraft
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16.0~),
               dh-sequence-kf6,
               dh-sequence-python3,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               qt6-base-dev (>= 6.2.4~),
               qt6-svg-dev (>= 6.2.4~),
               libkf6config-dev,
               libkf6contacts-dev,
               libkf6i18n-dev,
               libkf6texttemplate-dev,
               libakonadi-dev,
               libakonadicontact-dev,
               python3:any,
               asciidoctor,
               po4a,
               libqt6sql6-sqlite <!nocheck>,
               locales-all <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://volle-kraft-voraus.de/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git -b experimental
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kraft/-/tree/experimental

Package: kraft
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt6sql6-sqlite,
         ${python3:Depends},
         python3-pypdf,
Recommends: libqt6sql6-mysql,
            weasyprint,
Description: small business-management application
 Kraft creates and handles office documents in small enterprises. In a workshop
 or any similar company daily tasks can be done in a smart manner.
 .
 Features include:
  Customer management, integrated using KAddressbook
  Automated creation of quotes, invoices and similar documents
  Text templates
  Calculation
  Material management
  Configurable document creation in PDF format
