=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with kf5,python3
-
-override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DAKONADI_LEGACY_BUILD=OFF
+	dh $@
 
 override_dh_auto_test:
 	xvfb-run -a env KRAFT_HOME="$(CURDIR)" dh_auto_test --no-parallel
