=== debian/changelog ===
kraft (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Update the patches:
    - Use-the-non-legacy-add_test-CMake-command.patch: drop, fixed upstream
    - Extract-Git-info-at-build-time-only-if-possible.patch: drop, fixed
      upstream
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Jan 2026 22:32:10 +0100

kraft (2.0.0~rc1-2) experimental; urgency=medium

  * More and more unit tests assume an installed layout for the data, so:
    - install kraft in a local directory, pointing to it via XDG_DATA_DIRS
    - use a static "tmp" subdirectory of the local "test_root" as $TMPDIR,
      so it is already cleaned, and it does not pollute the system $TMPDIR
    - print the leftover temporary files after running the tests, to easily spot
      leaked files
    - drop patch tests-skip-t_defaultprovider.diff, as the test runs fine now
  * Backport the upstream PR https://github.com/dragotin/kraft/pull/272 to use
    the non-legacy add_test() CMake command; patch
    Use-the-non-legacy-add_test-CMake-command.patch
    - drop tests-new-add_test.diff, replaced
  * Backport the upstream PR https://github.com/dragotin/kraft/pull/273 to not
    use 'git' at build time when not available; patch
    Extract-Git-info-at-build-time-only-if-possible.patch
    - drop cmake-fix-without-git.diff, replaced
  * Drop the locales-all build dependency, no more needed by the tests.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Dec 2025 19:40:59 +0100
