=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: kraft
 Section: kde
-Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -21,13 +20,12 @@
                asciidoctor,
                po4a,
                libqt6sql6-sqlite <!nocheck>,
-               locales-all <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://volle-kraft-voraus.de/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git -b experimental
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kraft/-/tree/experimental
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kraft
 
 Package: kraft
 Architecture: any
