=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,10 @@
 	dh $@
 
 override_dh_auto_test:
-	xvfb-run -a env KRAFT_HOME="$(CURDIR)" dh_auto_test --no-parallel
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd obj-* && $(MAKE) install DESTDIR=$(CURDIR)/test_root
+	mkdir -p "$(CURDIR)/test_root/tmp"
+	xvfb-run -a dh_auto_test --no-parallel -- XDG_DATA_DIRS=$(CURDIR)/test_root/usr/share:/usr/local/share:/usr/share TMPDIR="$(CURDIR)/test_root/tmp"
+	# check leftover temporary files
+	cd "$(CURDIR)/test_root/tmp" && find | sort
+endif
