=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v(\d+\.\d+(?:\.\d+)?(?:[a-zA-Z]+\d+)?)\.tar\.gz/kraft-$1\.tar\.gz/, uversionmangle=s/(beta|rc)/~$1/, dversionmangle=s/\~//" \
  https://github.com/dragotin/kraft/tags .*/v(\d+\.\d+(?:\.\d+)?(?:[a-zA-Z]+\d+)?)\.tar\.gz
